# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate url

Name:           rust-%{crate}
Version:        2.3.1
Release:        %mkrel 1
Summary:        URL library for Rust, based on the WHATWG URL Standard
Group:          Development/Other

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/url
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * remove debugger_test and debugger_test_parser dev-dependencies
Patch:          url-fix-metadata.diff

BuildRequires:  rust-packaging >= 21
BuildRequires:  crate(form_urlencoded/default) >= 1.1.0
BuildRequires:  crate(idna/default) >= 0.3.0
BuildRequires:  crate(percent-encoding/default) >= 2.2.0
%if %{with check}
BuildRequires:  crate(bencher/default) >= 0.1.0
BuildRequires:  crate(serde_json/default) >= 1.0.0
%endif

%global _description %{expand:
URL library for Rust, based on the WHATWG URL Standard.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debugger_visualizer-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debugger_visualizer-devel %{_description}

This package contains library source intended for building other packages which
use the "debugger_visualizer" feature of the "%{crate}" crate.

%files       -n %{name}+debugger_visualizer-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+expose_internals-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+expose_internals-devel %{_description}

This package contains library source intended for building other packages which
use the "expose_internals" feature of the "%{crate}" crate.

%files       -n %{name}+expose_internals-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# drop tests that require connecting a debugger to the test runner
rm tests/debugger_visualizer.rs
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif


%changelog
* Thu Dec 22 2022 guillomovitch <guillomovitch> 2.3.1-1.mga9
+ Revision: 1925810
- new version 2.3.1

* Thu Oct 27 2022 guillomovitch <guillomovitch> 2.2.2-1.mga9
+ Revision: 1899568
- imported package rust-url

